stages:    
- name: eventselection_mc
  dependencies: [init]
  scheduler:
    scheduler_type: multistep-stage
    parameters:
      GRID_PASSWORD: {step: init, output: GRID_PASSWORD}
      GRID_USERCERT: {step: init, output: GRID_USERCERT}
      GRID_USERKEY:  {step: init, output: GRID_USERKEY}
      jetAlgorithm:  {step: init, output: jetAlgorithm}
      inputFiles:    {step: init, output: inputFiles}
      stepdir:       '{workdir}'
    scatter:
       method: zip
       parameters: [inputFiles]
    batchsize: 2
    step: {$ref: 'steps.yml#/eventselection_list_grid'}
    
- name: merge_mc
  dependencies: [eventselection_mc]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      inputFiles: {stages: eventselection_mc, output: histFile, flatten: true}
      outputFile: '{workdir}/powpythia_merged.root'
    step: {$ref: 'steps.yml#/merge'}

- name: validate_mc
  dependencies: [merge_mc]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      inputFile: {step: merge_mc, output: histFile}
      jetTree:   'AntiKt4EMTopo_dijet_insitu'
      plotVar:   'j1_pT'
      binning:   '100,0,5000'
      outputPlot: '{workdir}/plot_mc.pdf'
    step: {$ref: 'steps.yml#/validate'}
    
#- name: eventselection_data
#  dependencies: [init]
#  scheduler:
#    scheduler_type: singlestep-stage
#    parameters:
#      CERN_USER:    {step: init, output: CERN_USER}
#      SERVICE_PASS: {step: init, output: SERVICE_PASS}
#      jetAlgorithm: {step: init, output: jetAlgorithm}
#      inputList:    {step: init, output: inputList_data}
#      sampleName:   {step: init, output: sampleName_data}
#      stepdir:      '{workdir}'
#    step: {$ref: 'steps.yml#/eventselection_list'}
#    
#    
#- name: validate_data
#  dependencies: [eventselection_data]
#  scheduler:
#    scheduler_type: singlestep-stage
#    parameters:
#      inputFile: {step: eventselection_data, output: histFile}
#      jetTree:   'AntiKt4EMTopo_dijet_insitu'
#      plotVar:   'j1_pT'
#      binning:   '100,0,5000'
#      outputPlot: '{workdir}/plot_data.pdf'
#    step: {$ref: 'steps.yml#/validate'}
#  
#- name: validate_data_mc
#  dependencies: [merge_mc,eventselection_data]
#  scheduler:
#    scheduler_type: singlestep-stage
#    parameters:
#      inputFile_mc:   {step: merge_mc, output: histFile}
#      inputFile_data: {step: eventselection_data, output: histFile}
#      jetTree:   'AntiKt4EMTopo_dijet_insitu'
#      plotVar:   'j1_pT'
#      binning:   '100,0,5000'
#      outputPlot: '{workdir}/plot_data_mc.pdf'
#    step: {$ref: 'steps.yml#/validate_data_mc'}
#    
#- name: histograms_mc
#  dependencies: [merge_mc]
#  scheduler:
#    scheduler_type: singlestep-stage
#    parameters:
#      inputFile:   {step: merge_mc, output: histFile}
#      outputFile:  '{workdir}/histograms_mc.root'
#      stepdir:     '{workdir}'
#    step: {$ref: 'steps.yml#/histogram'}
#    
#- name: minimize_mc
#  dependencies: [histograms_mc]
#  scheduler:
#    scheduler_type: singlestep-stage
#    parameters:
#      inputFile:   {step: histograms_mc, output: outputFile}
#      outputFile:  '{workdir}/minimize_mc.root'
#      stepdir:     '{workdir}'
#    step: {$ref: 'steps.yml#/minimize'}
#    
#- name: calibrate
#  dependencies: [minimize_mc]
#  scheduler:
#    scheduler_type: singlestep-stage
#    parameters:
#      inputFile_mc_nom:   {step: minimize_mc, output: outputFile}
#      inputFile_mc_alt:   {step: minimize_mc, output: outputFile}
#      inputFile_data:     {step: minimize_mc, output: outputFile}
#      outputFile_cal:  '{workdir}/output_calibration.root'
#      outputFile_unc:  '{workdir}/output_uncertainties.root'
#      stepdir:         '{workdir}'
#    step: {$ref: 'steps.yml#/calibrate'}
#